openSUSE Security Update: Security update for c-ares
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:1168-1
Rating:             important
References:         #1188881 
Cross-References:   CVE-2021-3672
CVSS scores:
                    CVE-2021-3672 (SUSE): 8.1 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:N

Affected Products:
                    openSUSE Leap 15.2
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for c-ares fixes the following issues:

   Version update to git snapshot 1.17.1+20200724:

   - CVE-2021-3672: fixed missing input validation on hostnames returned by
     DNS servers (bsc#1188881)
   - If ares_getaddrinfo() was terminated by an ares_destroy(), it would
     cause crash
   - Crash in sortaddrinfo() if the list size equals 0 due to an unexpected
     DNS response
   - Expand number of escaped characters in DNS replies as per RFC1035 5.1 to
     prevent spoofing
   - Use unbuffered /dev/urandom for random data to prevent early startup
     performance issues

   This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.2:

      zypper in -t patch openSUSE-2021-1168=1



Package List:

   - openSUSE Leap 15.2 (i586 x86_64):

      c-ares-debugsource-1.17.1+20200724-lp152.2.9.1
      c-ares-devel-1.17.1+20200724-lp152.2.9.1
      c-ares-utils-1.17.1+20200724-lp152.2.9.1
      c-ares-utils-debuginfo-1.17.1+20200724-lp152.2.9.1
      libcares2-1.17.1+20200724-lp152.2.9.1
      libcares2-debuginfo-1.17.1+20200724-lp152.2.9.1

   - openSUSE Leap 15.2 (x86_64):

      libcares2-32bit-1.17.1+20200724-lp152.2.9.1
      libcares2-32bit-debuginfo-1.17.1+20200724-lp152.2.9.1


References:

   https://www.suse.com/security/cve/CVE-2021-3672.html
   https://bugzilla.suse.com/1188881